import type { FieldPermissions } from 'payload/auth';
import type { Field, FieldWithPath, SanitizedConfig } from 'payload/types';
import React from 'react';
import type { FieldMap } from './types';
export declare const mapFields: (args: {
    DefaultCell?: React.FC<any>;
    config: SanitizedConfig;
    fieldSchema: FieldWithPath[];
    filter?: (field: Field) => boolean;
    operation?: 'create' | 'update';
    parentPath?: string;
    permissions?: FieldPermissions | {
        [field: string]: FieldPermissions;
    };
    readOnly?: boolean;
}) => FieldMap;
//# sourceMappingURL=mapFields.d.ts.map