import type { UploadEdits } from 'payload/types';
import React from 'react';
export type QueryParamTypes = {
    depth: number;
    'fallback-locale': string;
    locale: string;
    uploadEdits?: UploadEdits;
};
export declare const FormQueryParams: React.Context<{
    formQueryParams: QueryParamTypes;
    setFormQueryParams: (params: QueryParamTypes) => void;
}>;
export declare const FormQueryParamsProvider: React.FC<{
    children: React.ReactNode;
    formQueryParams?: QueryParamTypes;
    setFormQueryParams?: (params: QueryParamTypes) => void;
}>;
export declare const useFormQueryParams: () => {
    formQueryParams: QueryParamTypes;
    setFormQueryParams: (params: QueryParamTypes) => void;
};
//# sourceMappingURL=index.d.ts.map