import type { I18n } from '@payloadcms/translations';
import type { ClientConfig } from 'payload/types';
import React from 'react';
export type LanguageOptions = {
    label: string;
    value: string;
}[];
export type LanguageTranslations = {
    [namespace: string]: {
        [key: string]: string;
    };
};
export declare const TranslationProvider: React.FC<{
    children: React.ReactNode;
    fallbackLang: ClientConfig['i18n']['fallbackLanguage'];
    lang: string;
    languageOptions: LanguageOptions;
    translations: LanguageTranslations;
}>;
export declare const useTranslation: () => {
    i18n: I18n;
    languageOptions: LanguageOptions;
    t: (key: string, vars?: Record<string, any>) => string;
};
//# sourceMappingURL=index.d.ts.map