import type { FieldPermissions } from 'payload/auth';
import type { EditViewProps, SanitizedConfig } from 'payload/types';
import React from 'react';
import type { ComponentMap } from './types';
export declare const buildComponentMap: (args: {
    DefaultCell: React.FC<any>;
    DefaultEditView: React.FC<EditViewProps>;
    DefaultListView: React.FC<EditViewProps>;
    config: SanitizedConfig;
    operation?: 'create' | 'update';
    permissions?: FieldPermissions | {
        [field: string]: FieldPermissions;
    };
    readOnly?: boolean;
}) => ComponentMap;
//# sourceMappingURL=index.d.ts.map